package com.mx.dla.dda.contrato.amortizacion.dtos;

import java.util.Date;

import com.mx.dla.global.dtos.BaseDTO;


public class AmortizacionDTO extends BaseDTO{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 636135030901824090L;

	private Long idContrato;
	
	private String tipoAmortizacion;
	
	private Date fechaInicio;
	
	private Date fechaFin;
	
	private String costo;
	
	private Long meses;
	
	private Date fechaExInicio;
	
	private Date fechaExFin;
	
	private Integer porcentageExclisividad;
	
	private Integer diaAmortizacionSAP;

	public String getTipoAmortizacion() {
		return tipoAmortizacion;
	}

	public void setTipoAmortizacion(String tipoAmortizacion) {
		this.tipoAmortizacion = tipoAmortizacion;
	}

	public String getCosto() {
		return costo;
	}

	public void setCosto(String costo) {
		this.costo = costo;
	}

	public Date getFechaExInicio() {
		return fechaExInicio;
	}

	public void setFechaExInicio(Date fechaExInicio) {
		this.fechaExInicio = fechaExInicio;
	}

	public Date getFechaExFin() {
		return fechaExFin;
	}

	public void setFechaExFin(Date fechaExFin) {
		this.fechaExFin = fechaExFin;
	}

	public Integer getPorcentageExclisividad() {
		return porcentageExclisividad;
	}

	public void setPorcentageExclisividad(Integer porcentageExclisividad) {
		this.porcentageExclisividad = porcentageExclisividad;
	}

	public Integer getDiaAmortizacionSAP() {
		return diaAmortizacionSAP;
	}

	public void setDiaAmortizacionSAP(Integer diaAmortizacionSAP) {
		this.diaAmortizacionSAP = diaAmortizacionSAP;
	}
	
	public Long getIdContrato() {
		return idContrato;
	}
	
	public void setIdContrato(Long idContrato) {
		this.idContrato = idContrato;
	}
	
	public Long getMeses() {
		return meses;
	}
	
	public void setMeses(Long meses) {
		this.meses = meses;
	}

	public Date getFechaInicio() {
		return fechaInicio;
	}

	public void setFechaInicio(Date fechaInicio) {
		this.fechaInicio = fechaInicio;
	}

	public Date getFechaFin() {
		return fechaFin;
	}

	public void setFechaFin(Date fechaFin) {
		this.fechaFin = fechaFin;
	}
	
	
}
